com.genesyslab.wfm7.API.service.config761

## Class CfgActivitySetShort

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgActivitySetShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivitySetShort
      extends java.lang.Object
      implements java.io.Serializable

  Activity Set "short" information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `wmActivitySetId` Activity Set ID
    `private int` | `wmColor` Schedule state RGB color value.
    `private int` | `wmFontColor` Schedule state font RGB color value.
    `private java.lang.String` | `wmName` Activity Set Name
    `private java.lang.String` | `wmShortName` Activity Set Short Name
    `private int` | `wmSiteId` Site ID, identifies `CfgSite` object

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivitySetShort()`
    `CfgActivitySetShort(int wmActivitySetId, int wmSiteId, java.lang.String wmName, java.lang.String wmShortName, int wmColor, int wmFontColor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getWmActivitySetId()` Gets the wmActivitySetId value for this CfgActivitySetShort.
    `int` | `getWmColor()` Gets the wmColor value for this CfgActivitySetShort.
    `int` | `getWmFontColor()` Gets the wmFontColor value for this CfgActivitySetShort.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgActivitySetShort.
    `java.lang.String` | `getWmShortName()` Gets the wmShortName value for this CfgActivitySetShort.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgActivitySetShort.
    `void` | `setWmActivitySetId(int wmActivitySetId)` Sets the wmActivitySetId value for this CfgActivitySetShort.
    `void` | `setWmColor(int wmColor)` Sets the wmColor value for this CfgActivitySetShort.
    `void` | `setWmFontColor(int wmFontColor)` Sets the wmFontColor value for this CfgActivitySetShort.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgActivitySetShort.
    `void` | `setWmShortName(java.lang.String wmShortName)` Sets the wmShortName value for this CfgActivitySetShort.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgActivitySetShort.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmActivitySetId

          private int wmActivitySetId

      Activity Set ID

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies `CfgSite` object

    - #### wmName

          private java.lang.String wmName

      Activity Set Name

    - #### wmShortName

          private java.lang.String wmShortName

      Activity Set Short Name

    - #### wmColor

          private int wmColor

      Schedule state RGB color value. Value -1 stands for NULL.

    - #### wmFontColor

          private int wmFontColor

      Schedule state font RGB color value. Value -1 stands for NULL.

  - ### Constructor Detail

    - #### CfgActivitySetShort

          public CfgActivitySetShort()

    - #### CfgActivitySetShort

          public CfgActivitySetShort(int wmActivitySetId,
                             int wmSiteId,
                             java.lang.String wmName,
                             java.lang.String wmShortName,
                             int wmColor,
                             int wmFontColor)

  - ### Method Detail

    - #### getWmActivitySetId

          public int getWmActivitySetId()

      Gets the wmActivitySetId value for this CfgActivitySetShort.
      Returns:
        wmActivitySetId

    - #### setWmActivitySetId

          public void setWmActivitySetId(int wmActivitySetId)

      Sets the wmActivitySetId value for this CfgActivitySetShort.
      Parameters:
        `wmActivitySetId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgActivitySetShort.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgActivitySetShort.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgActivitySetShort.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgActivitySetShort.
      Parameters:
        `wmName` -

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the wmShortName value for this CfgActivitySetShort.
      Returns:
        wmShortName

    - #### setWmShortName

          public void setWmShortName(java.lang.String wmShortName)

      Sets the wmShortName value for this CfgActivitySetShort.
      Parameters:
        `wmShortName` -

    - #### getWmColor

          public int getWmColor()

      Gets the wmColor value for this CfgActivitySetShort.
      Returns:
        wmColor

    - #### setWmColor

          public void setWmColor(int wmColor)

      Sets the wmColor value for this CfgActivitySetShort.
      Parameters:
        `wmColor` -

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the wmFontColor value for this CfgActivitySetShort.
      Returns:
        wmFontColor

    - #### setWmFontColor

          public void setWmFontColor(int wmFontColor)

      Sets the wmFontColor value for this CfgActivitySetShort.
      Parameters:
        `wmFontColor` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.